Upstream information

CVE-2018-11410 at MITRE

Description

An issue was discovered in Liblouis 3.5.0. A invalid free in the compileRule function in compileTranslationTable.c allows remote attackers to cause a denial of service (application crash) or possibly have unspecified other impact.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 4.3
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:L
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required None Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High None
Integrity Impact High None
Availability Impact High Low
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1094685 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 6
SUSE Linux Enterprise Desktop 15 SP1
SUSE Linux Enterprise High Performance Computing 15 SP1
SUSE Linux Enterprise Module for Desktop Applications 15 SP1
SUSE Linux Enterprise Server 15 SP1
SUSE Linux Enterprise Server for SAP Applications 15 SP1
SUSE Manager Proxy 4.0
SUSE Manager Retail Branch Server 4.0
SUSE Manager Server 4.0
  • liblouis-data >= 3.3.0-4.5.1
  • liblouis-devel >= 3.3.0-4.5.1
  • liblouis14 >= 3.3.0-4.5.1
  • python3-louis >= 3.3.0-4.5.1
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 GA liblouis-data-3.3.0-4.5.1
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Desktop Applications 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • liblouis-data >= 3.11.0-1.42
  • liblouis-devel >= 3.11.0-1.42
  • liblouis19 >= 3.11.0-1.42
  • python3-louis >= 3.11.0-1.42
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 GA liblouis-data-3.11.0-1.42
SUSE Enterprise Storage 7
SUSE Linux Enterprise Desktop 15 SP2
SUSE Linux Enterprise High Performance Computing 15 SP2
SUSE Linux Enterprise Module for Desktop Applications 15 SP2
SUSE Linux Enterprise Server 15 SP2
SUSE Linux Enterprise Server for SAP Applications 15 SP2
SUSE Manager Proxy 4.1
SUSE Manager Retail Branch Server 4.1
SUSE Manager Server 4.1
  • liblouis-data >= 3.11.0-1.42
  • liblouis-devel >= 3.11.0-1.42
  • liblouis19 >= 3.11.0-1.42
  • python3-louis >= 3.11.0-1.42
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 GA liblouis-data-3.11.0-1.42
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Desktop Applications 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • liblouis-data >= 3.16.1-150400.1.9
  • liblouis-devel >= 3.16.1-150400.1.9
  • liblouis20 >= 3.16.1-150400.1.9
  • python3-louis >= 3.16.1-150400.1.9
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 GA liblouis-data-3.16.1-150400.1.9
SUSE Linux Enterprise Desktop 15
SUSE Linux Enterprise High Performance Computing 15
SUSE Linux Enterprise Module for Desktop Applications 15
SUSE Linux Enterprise Server 15
SUSE Linux Enterprise Server for SAP Applications 15
  • liblouis-data >= 3.3.0-4.5.1
  • liblouis-devel >= 3.3.0-4.5.1
  • liblouis14 >= 3.3.0-4.5.1
  • python3-louis >= 3.3.0-4.5.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-2019-795
openSUSE Leap 15.0
  • liblouis-data >= 3.3.0-lp150.3.3.1
  • liblouis-devel >= 3.3.0-lp150.3.3.1
  • liblouis-doc >= 3.3.0-lp150.3.3.1
  • liblouis-tools >= 3.3.0-lp150.3.3.1
  • liblouis14 >= 3.3.0-lp150.3.3.1
  • python3-louis >= 3.3.0-lp150.3.3.1
Patchnames:
openSUSE-2019-1160
openSUSE Leap 15.2
  • liblouis-data >= 3.11.0-lp152.1.4
  • liblouis19 >= 3.11.0-lp152.1.4
  • python3-louis >= 3.11.0-lp152.1.4
Patchnames:
openSUSE Leap 15.2 GA liblouis-data-3.11.0-lp152.1.1
openSUSE Leap 15.3
  • liblouis-data >= 3.11.0-1.42
  • liblouis19 >= 3.11.0-1.42
  • python3-louis >= 3.11.0-1.42
Patchnames:
openSUSE Leap 15.3 GA liblouis-data-3.11.0-1.42
openSUSE Leap 15.4
  • liblouis-data >= 3.16.1-150400.1.9
  • liblouis20 >= 3.16.1-150400.1.9
  • python3-louis >= 3.16.1-150400.1.9
Patchnames:
openSUSE Leap 15.4 GA liblouis-data-3.16.1-150400.1.9
openSUSE Tumbleweed
  • liblouis-data >= 3.16.1-1.5
  • liblouis-devel >= 3.16.1-1.5
  • liblouis-doc >= 3.16.1-1.5
  • liblouis-tools >= 3.16.1-1.5
  • liblouis20 >= 3.16.1-1.5
  • python3-louis >= 3.16.1-1.5
Patchnames:
openSUSE Tumbleweed GA liblouis-data-3.16.1-1.5


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7 liblouis Already fixed
SUSE Enterprise Storage 7.1 liblouis Already fixed
SUSE Linux Enterprise Real Time 15 SP3 liblouis Already fixed
SUSE Linux Enterprise Server 12 SP5 liblouis Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 liblouis Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 liblouis Not affected
SUSE Manager Proxy 4.2 liblouis Already fixed
SUSE Manager Retail Branch Server 4.2 liblouis Already fixed
SUSE Manager Server 4.2 liblouis Already fixed
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 liblouis Released
SUSE Linux Enterprise High Performance Computing 15 SP1 liblouis Released
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS liblouis Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS liblouis Released
SUSE Linux Enterprise High Performance Computing 15 SP2 liblouis Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS liblouis Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS liblouis Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP3 liblouis Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS liblouis Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS liblouis Already fixed
SUSE Linux Enterprise High Performance Computing 15-ESPOS liblouis Affected
SUSE Linux Enterprise High Performance Computing 15-LTSS liblouis Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 liblouis Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 liblouis Already fixed
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 liblouis Already fixed
SUSE Linux Enterprise Server 12 SP2-BCL liblouis Not affected
SUSE Linux Enterprise Server 12 SP4 liblouis Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS liblouis Not affected
SUSE Linux Enterprise Server 15 SP1 liblouis Released
SUSE Linux Enterprise Server 15 SP1-LTSS liblouis Released
SUSE Linux Enterprise Server 15 SP2 liblouis Already fixed
SUSE Linux Enterprise Server 15 SP2-LTSS liblouis Already fixed
SUSE Linux Enterprise Server 15 SP3 liblouis Already fixed
SUSE Linux Enterprise Server 15 SP3-LTSS liblouis Already fixed
SUSE Linux Enterprise Server 15-ESPOS liblouis Released
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 liblouis Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 liblouis Not affected
SUSE Linux Enterprise Server for SAP Applications 15 liblouis Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 liblouis Released
SUSE Linux Enterprise Server for SAP Applications 15 SP2 liblouis Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP3 liblouis Already fixed
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 liblouis Not affected
SUSE CaaS Platform 4.0 liblouis Released
SUSE Enterprise Storage 6 liblouis Released
SUSE Linux Enterprise Desktop 12 SP2 liblouis Not affected
SUSE Linux Enterprise Desktop 12 SP3 liblouis Not affected
SUSE Linux Enterprise Desktop 12 SP4 liblouis Not affected
SUSE Linux Enterprise Desktop 15 liblouis Released
SUSE Linux Enterprise Desktop 15 SP1 liblouis Released
SUSE Linux Enterprise Desktop 15 SP2 liblouis Already fixed
SUSE Linux Enterprise Desktop 15 SP3 liblouis Already fixed
SUSE Linux Enterprise Module for Desktop Applications 15 liblouis Released
SUSE Linux Enterprise Real Time 15 SP2 liblouis Already fixed
SUSE Linux Enterprise Server 11 SP3 liblouis Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS liblouis Not affected
SUSE Linux Enterprise Server 11 SP3-LTSS liblouis Not affected
SUSE Linux Enterprise Server 11 SP4 liblouis Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS liblouis Not affected
SUSE Linux Enterprise Server 12 SP2 liblouis Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS liblouis Not affected
SUSE Linux Enterprise Server 12 SP2-LTSS liblouis Not affected
SUSE Linux Enterprise Server 12 SP3 liblouis Not affected
SUSE Linux Enterprise Server 12 SP3-BCL liblouis Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS liblouis Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS liblouis Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS liblouis Not affected
SUSE Linux Enterprise Server 15 liblouis Released
SUSE Linux Enterprise Server 15 SP1-BCL liblouis Affected
SUSE Linux Enterprise Server 15 SP2-BCL liblouis Already fixed
SUSE Linux Enterprise Server 15 SP3-BCL liblouis Already fixed
SUSE Linux Enterprise Server 15-LTSS liblouis Released
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 liblouis Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 liblouis Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 liblouis Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 liblouis Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 liblouis Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 liblouis Not affected
SUSE Manager Proxy 4.0 liblouis Released
SUSE Manager Proxy 4.1 liblouis Already fixed
SUSE Manager Retail Branch Server 4.0 liblouis Released
SUSE Manager Retail Branch Server 4.1 liblouis Already fixed
SUSE Manager Server 4.0 liblouis Released
SUSE Manager Server 4.1 liblouis Already fixed
SUSE OpenStack Cloud 7 liblouis Not affected
SUSE OpenStack Cloud 8 liblouis Not affected
SUSE OpenStack Cloud 9 liblouis Not affected
SUSE OpenStack Cloud Crowbar 8 liblouis Not affected
SUSE OpenStack Cloud Crowbar 9 liblouis Not affected


SUSE Timeline for this CVE

CVE page created: Thu May 24 14:41:31 2018
CVE page last modified: Fri Jan 20 14:18:15 2023